package de.kaffeemitkoffein.imagepipe;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

public class IntentReceiver extends BroadcastReceiver {
    @Override
    public void onReceive(Context context, Intent intent) {
        if (ImagepipePreferences.clearAfterShare(context)){
            clearPrivateData(context);
        }
        // this receiver should never be called on android sdk below 22, but we check anyway
        if (android.os.Build.VERSION.SDK_INT >= android.os.Build.VERSION_CODES.LOLLIPOP_MR1) {
            // set the cache value to the file name counter once at least a target component was chosen
            ImagepipePreferences.setFileNameCounter(context,ImagepipePreferences.getFileCounterCache(context));
        }
    }

    private static void clearPrivateData(Context context){
        // clear image cache
        PictureCache.clearPictureCache(context);
        // clear cache from image rotation
        ImageReceiver.deleteCacheFile(context);
        // clear image origin data
        ImagepipePreferences.resetSavedImageContainer(context);
        // notify main app to remove volatile data
        Intent mainAppCall = new Intent(ImageReceiver.ACTION_CLEAR_DATA);
        context.sendBroadcast(mainAppCall);
    }

}
